The BOOST_PP_NOR macro expands to the logical NOR of its operands.

#### Usage

BOOST_PP_NOR(p, q)

#### Arguments

p
  The left operand of the operation. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
q
  The right operand of the operation. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If both p and q are both 0, this macro expands to 1. Otherwise, it expands to 0.
This macro performs a boolean conversion on each operand before performing the logical NOR operation. If that conversion is not necessary, use BOOST_PP_BITNOR instead.

#### See Also

- BOOST_PP_BITNOR
- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/logical/nor.hpp>

#### Sample Code

    #include <boost/preprocessor/logical/nor.hpp>

    BOOST_PP_NOR(4, 0) // expands to 0
    BOOST_PP_NOR(0, 0) // expands to 1

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)